<template>
  <q-page padding>
    <q-toolbar class="bg-blue-grey text-white shadow-2 rounded-borders">
      Carga de archivo Afiliatorio: &nbsp;
      <q-space />
      <div class="q-gutter-xs">
        <q-btn
          flat
          dense
          icon="arrow_back_ios_new"
          label="Atras"
          href="javascript:history.go(-1)"
        />
      </div>
    </q-toolbar>

    <div class="q-ma-sm">
      <q-file
        v-show="false"
        v-model="archivo"
        ref="uploadFile"
        accept=".xlsx"
        @update:model-value="subirArchivo"
      >
      </q-file>

      <q-btn @click="$refs.uploadFile.pickFiles()">Subir Archivo</q-btn>
    </div>

    <Loading :showing="loading" />
  </q-page>
</template>

<script lang="ts">
import { defineComponent, ref } from 'vue';
import Loading from 'src/components/Loading.vue';
import { useRouter } from 'vue-router';
import { api } from 'src/boot/axios';
export default defineComponent({
  name: 'IndexPage',
  components: { Loading },
  setup() {
    const loading = ref(false);
    const archivo = ref();
    const router = useRouter();

    function subirArchivo() {
      const formData = new FormData();
      formData.append('afiliacion', archivo.value);
      api.post('/api/persona/afiliacion/procesar', formData).then(() => {
        router.push({ path: '/membresia/afiliacion/' });
      });
    }

    return { loading, archivo, subirArchivo };
  },
});
</script>
